import Request from "../Request.js";
export default function roleAction() {
  function viewroleAction() {
    let sp = `
            <h1>管理使用者角色</h1>
            <button id="newroleAction">新增使用者角色</button>
            <table class="table table-striped table-bordered table-hover" id="roleActionTable">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>action_id</th>
                        <th>role_id</th>
                        <th>操作</th>
                    </tr>
                </thead>
            </table>                
        `;
    $("#content").html(sp);
    Request()
      .post("/index.php?action=getRoleAction", Qs.stringify())
      .then(function (resp) {
        let response = resp["data"];
        response.result.forEach(function (item) {
          let h = `
                <tr class="clickroleAction" id="${item.id}">
                    <td>${item.id}</td>
                    <td><input type="text" class="myForm action_id" value="${item.action_id}" data-source="${item.id}"></td>
                    <td><input type="text" class="myForm RoleID" value="${item.role_id}" data-source="${item.id}"></td>
                    <td><button class="deleteroleAction" data-source="${item.id}">刪除</button></td>
                </tr>
                `;
          $("#roleActionTable").append(h);
        });
        $(".myForm").change(function (e) {
          let id = $(this).attr("data-source");
          let role_id = $(`input[data-source="${id}"].RoleID`).val();
          let action_id = $(`input[data-source="${id}"].action_id`).val();
          Request()
            .post(
              "/index.php?action=updateRoleAction",
              Qs.stringify({ id: id, role_id: role_id, action_id: action_id })
            )
            .then(function (resp) {
              // if(resp["data"].status == 200){
              //     alert("修改成功");
              // }else{
              //     alert("修改失敗");
              // }
            });
        });
        $(".deleteroleAction").click(function (e) {
          let id = $(this).attr("data-source");
          Request()
            .post(
              "/index.php?action=removeRoleAction",
              Qs.stringify({ id: id })
            )
            .then(function (resp) {
              if (resp["data"].status == 200) {
                alert("刪除成功");
                location.reload();
              } else {
                alert("刪除失敗");
              }
            });
        });
        $("#newroleAction").click(function (e) {
          newroleAction();
        });
      });
  }
  viewroleAction();
  function newroleAction() {
    let sp = `
        <h1>新增roleAction</h1>
        <input type="text" id="user_id">
        <input type="text" id="role_id">
        <button id="newroleAction">新增roleAction</button>
        `;
    $("#content").html(sp);
    $("#newroleAction").click(function (e) {
      Request()
        .post(
          "/index.php?action=newRoleAction",
          Qs.stringify({
            action_id: $("input[type='text']#user_id").val(),
            role_id: $("input[type='text']#role_id").val(),
          })
        )
        .then(function (resp) {
          if (resp["data"].status == 200) {
            alert("新增成功");
            viewroleAction();
          } else {
            alert("新增失敗");
          }
        });
    });
  }
}
