import Request from "./../Request.js";
import registerPage from "./registerPage.js";
export default function loginPage() {
  const sp = `
        帳號：<input type="text" id="id"><br>
        密碼：<input type="password" id="password"><br>
        <button id="login">登入</button><button id="register">註冊</button>
        <div id="content"></div>
    `;
  $("#root").html(sp);
  $("#login").click(function (e) {
    const data = {
      Email: $("#id").val(),
      password: $("#password").val(),
    };
    Request()
      .post("/index.php?action=doLogin", Qs.stringify(data))
      .then(function (resp) {
        let response = resp["data"];
        console.log(response);
        if (response["status"] == 403) {
            alert("帳密錯誤")
          
        }else{
            if (window.localStorage) {
                //儲存到 local storage
                window.localStorage.setItem("jwtToken", response["token"]);
              }
              window.location.reload(); //重新載入網頁
        }
      })
      .catch(function (err) {
        console.log(err);
      });
  });
  $("#register").click(function (e) {
    registerPage();
  });
}
